packet_type: framework_reference_sources
packet_version: 1
scope: frontend_frameworks
last_refresh_utc: 2026-05-17T14:55:10.860Z
sources:
  - id: angular
    name: Angular
    type: llms_txt
    url: https://angular.dev/llms.txt
    local_path: ai/references/frontend-frameworks/docs/angular-llms.txt
    refresh_policy: Refresh deliberately when Angular version changes, Angular implementation guidance is disputed, or a chunk explicitly asks for latest Angular docs.
    version_applicability: Applies to the installed Angular major version unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Angular components, templates, signals, routing, forms, testing, and style guidance.
  - id: primeng
    name: PrimeNG
    type: metadata_reference
    url: https://primeng.org/
    local_path: ai/references/frontend-frameworks/docs/primeng-reference.md
    refresh_policy: Refresh deliberately when PrimeNG is added/upgraded or when PrimeNG visual/component behavior is used as a design benchmark.
    version_applicability: Design/reference benchmark only; PrimeNG is not currently installed in apps/frontend.
    use_for:
      - PrimeNG component usage and component-library conventions.
  - id: rxjs
    name: RxJS
    type: metadata_reference
    url: https://rxjs.dev/guide/overview
    local_path: ai/references/frontend-frameworks/docs/rxjs-reference.md
    refresh_policy: Refresh deliberately when RxJS version changes or Angular observable/signal interop is in scope.
    version_applicability: Applies to the installed RxJS 7.x line unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Observable streams, subscriptions, and Angular RxJS interop.
  - id: apollo_angular
    name: Apollo Angular
    type: metadata_reference
    url: https://the-guild.dev/graphql/apollo-angular/docs
    local_path: ai/references/frontend-frameworks/docs/apollo-angular-reference.md
    refresh_policy: Refresh deliberately when Apollo Angular version changes or generated Angular GraphQL service behavior is in scope.
    version_applicability: Applies to the installed Apollo Angular major version unless package.json changes or latest-docs work is explicitly requested.
    use_for:
      - Generated Apollo Angular services, query/mutation fetch behavior, and Angular GraphQL integration.
  - id: apollo_client
    name: Apollo Client
    type: metadata_reference
    url: https://www.apollographql.com/docs/react/
    local_path: ai/references/frontend-frameworks/docs/apollo-client-reference.md
    refresh_policy: Refresh deliberately when Apollo Client version changes or cache/fetch-policy behavior is in scope.
    version_applicability: Applies to the installed Apollo Client major version for shared client concepts; React-specific examples are not Angular implementation authority.
    use_for:
      - Apollo cache, fetch policies, query deduplication, and client-side GraphQL behavior.
